| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::OnlineVersionDwnl Class Reference
Inheritance diagram for Digikam::OnlineVersionDwnl:

## Signals
void | signalComputeChecksum ()
void | signalDownloadError (const QString &error)
void | signalDownloadProgress (qint64 bytesReceived, qint64 bytesTotal)

## Public Member Functions
| OnlineVersionDwnl (QObject *const parent=nullptr, bool checkPreRelease=false, bool updateWithDebug=false)
void | cancelDownload ()
QString | downloadedPath () const
QString | downloadUrl () const
void | startDownload (const QString &version)